### Function

# Ide FileWalkCallback

#### Declaration

    void
    (* IdeFileWalkCallback) (
      GFile* directory,
      GPtrArray* file_infos,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`directory` | `GFile`
| A `GFile` of the directory.
| The data is owned by the caller of the function.
`file_infos` | An array of `GFileInfo*`
| Array of `GFileInfo` children of `directory`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data for callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.